Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.algorithms.importance
Class Ranking

    java.lang.Object
      edu.uci.ics.jung.algorithms.importance.Ranking

All Implemented Interfaces:
  Comparable

Direct Known Subclasses:
  EdgeRanking, NodeRanking

public abstract class Ranking
extends Object
implements Comparable

Abstract data container for ranking objects. Stores common data relevant to both node and edge rankings, namely, the original position of the instance in the list and the actual ranking score.

Author:
  Scott White

Field Summary
`int` | `originalPos` The original (0-indexed) position of the instance being ranked
`double` | `rankScore` The actual rank score (normally between 0 and 1)

Constructor Summary
`Ranking(int originalPos, double rankScore)` Constructor which allows values to be set on construction

Method Summary
`int` | `compareTo(Object o)` Compares two ranking based on the rank score.
`String` | `toString()` Returns the rank score as a string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### originalPos

    public int originalPos

  The original (0-indexed) position of the instance being ranked

### rankScore

    public double rankScore

  The actual rank score (normally between 0 and 1)

Constructor Detail

### Ranking

    public Ranking(int originalPos,
                   double rankScore)

  Constructor which allows values to be set on construction

Parameters:
  `originalPos` - The original (0-indexed) position of the instance being ranked
  `rankScore` - The actual rank score (normally between 0 and 1)

Method Detail

### compareTo

    public int compareTo(Object o)

  Compares two ranking based on the rank score.

  Specified by:
    `compareTo` in interface `Comparable`
  Parameters:
    `o` - The other ranking
  Returns:
    -1 if the other ranking is higher, 0 if they are equal, and 1 if this ranking is higher

### toString

    public String toString()

  Returns the rank score as a string.

  Returns:
    the stringified rank score

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD